<template>
  <li>
    <h1>{{ screenings[0].movieTitle }}</h1>
    <ul class="ulist">
      <li class="list" v-for="category in screenings[0].movieCategories" :key="category">{{ category }}</li>
    </ul>
    <h2 class="list">Od lat {{ screenings[0].movieAccessAge }}</h2>
    <h2 class="list">{{ screenings[0].movieDuration }} minut</h2>
    <p>{{ screenings[0].movieDescription }}</p>
    <screening-picker v-for="screening in screenings" :key="screening.id" :id="screening.id"></screening-picker>
  </li>
</template>

<script setup>
import ScreeningPicker from "@/components/ScreeningPicker.vue";
import { defineProps } from "vue";

defineProps([
  "screenings",
]);

</script>

<style scoped>
li {
  margin: 1rem 0;
  border: 1px solid #424242;
  border-radius: 12px;
  padding: 1rem;
}

h1 {
  margin: 0;
}

h2 {
  margin: 0;
}

p {
  margin-top: 0.2rem;
  margin-bottom: 1rem;
}

.list {
  display: inline-block;
  font-weight: bold;
  margin: 0.5rem 1rem 0.5rem 0;
  border: none;
  padding: 0;
}
.ulist {
  display: inline-block;
}
</style>
